Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.rtrep.v2
Enum OAssign.OAssignOperation.Type

    java.lang.Object
      java.lang.Enum<OAssign.OAssignOperation.Type>
          org.apache.ode.bpel.rtrep.v2.OAssign.OAssignOperation.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OAssign.OAssignOperation.Type>

Enclosing class:
  OAssign.OAssignOperation

    public static enum OAssign.OAssignOperation.Type

extends java.lang.Enum<OAssign.OAssignOperation.Type>

Enum Constant Summary
`Copy`
`ExtensionOperation`

Method Summary
`static OAssign.OAssignOperation.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OAssign.OAssignOperation.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Copy

    public static final OAssign.OAssignOperation.Type Copy

### ExtensionOperation

    public static final OAssign.OAssignOperation.Type ExtensionOperation

Method Detail

### values

    public static final OAssign.OAssignOperation.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OAssign.OAssignOperation.Type c : OAssign.OAssignOperation.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OAssign.OAssignOperation.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD